---
gitea: none
include_toc: true
---

# dovecot

## Description

Postfix and Dovecot as mail servers (Submission and IMAP).

[For more informations](https://www.dovecot.org/)

## Dependances

- [base-fedora-36](../base-fedora-36/README.md)
  - [base-fedora](../base-fedora/README.md)
    - [systemd](../systemd/README.md)
      - [base-machine](../base-machine/README.md)
        - [base](../base/README.md)
        - [dns-local](../dns-local/README.md)
        - [pki-tls](../pki-tls/README.md)
- [relay-lmtp-client](../relay-lmtp-client/README.md)
  - [relay-mail-client](../relay-mail-client/README.md)
- [ldap-client](../ldap-client/README.md)
- [oauth2-client](../oauth2-client/README.md)
- [nginx-https](../nginx-https/README.md)
  - [nginx-common](../nginx-common/README.md)
  - [reverse-proxy-client](../reverse-proxy-client/README.md)

## Variables

### Général (*general*)

#### network (*general.network*)

| Description                                             | Values       |
|---------------------------------------------------------|--------------|
| *[**incoming_ports**](dictionaries/26_dovecot.xml)* [+] | 587<br />993 |

#### annuaire (*general.annuaire*)

##### client (*general.annuaire.client*)

| Description                                              | Values   |
|----------------------------------------------------------|----------|
| *[**ldapclient_family**](dictionaries/26_dovecot.xml)*   | all      |
| *[**ldap_key_file_owner**](dictionaries/26_dovecot.xml)* | dovecot  |

#### Mail configuration (*general.mail*)

| Description                                                                                                                        | Type                                                                                                                   | Values    | Choices                    |
|------------------------------------------------------------------------------------------------------------------------------------|------------------------------------------------------------------------------------------------------------------------|-----------|----------------------------|
| **Autorité de certification signant les certificats des domaines extérieurs** (*[mail_crt_provider](dictionaries/26_dovecot.xml)*) | [choice](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | autosigne | autosigne<br />letsencrypt |

##### Mail domain (*general.mail.domain*)

This a family is a leadership.

| Description                                                                                 | Type                                                                                                                       | Supplier      |
|---------------------------------------------------------------------------------------------|----------------------------------------------------------------------------------------------------------------------------|---------------|
| **Domaine de courriel géré localement** (*[mail_domains](dictionaries/26_dovecot.xml)*) [+] | [domainname](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | LMTP:criteria |
| *[**imap_domainname**](dictionaries/26_dovecot.xml)*                                        | [domainname](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) |               |
| *[**submission_domainname**](dictionaries/26_dovecot.xml)*                                  | [domainname](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) |               |

#### IMAP mail server (*general.dovecot*)

| Description                                                                                  | Type                                                                                                                       | Values       | Provider   |
|----------------------------------------------------------------------------------------------|----------------------------------------------------------------------------------------------------------------------------|--------------|------------|
| **Adresse interne du serveur IMAP** (*[imap_internal_address](dictionaries/26_dovecot.xml)*) | [domainname](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | <calculated> | IMAP       |

#### revprox (*general.revprox*)

##### revprox_client (*general.revprox.revprox_client*)

| Description                                                          | Values       |
|----------------------------------------------------------------------|--------------|
| *[revprox_client_external_domainnames](dictionaries/26_dovecot.xml)* | <calculated> |
| *[revprox_client_web_address](dictionaries/26_dovecot.xml)*          | <calculated> |

#### nginx (*general.nginx*)

| Description                                     | Values        |
|-------------------------------------------------|---------------|
| *[**nginx_root**](dictionaries/26_dovecot.xml)* | /var/www/html |


- [+]: variable is multiple
- **bold**: variable is mandatory

## Supplier

[imap-client](../imap-client/README.md)

[All applications services for this dataset.](../README.md)
