---
gitea: none
include_toc: true
---

# forgejo

## Description

Forgejo, a community managed lightweight code hosting solution.

[For more informations](https://forgejo.org/)

## Dependances

- [base-fedora-37](../base-fedora-37/README.md)
  - [base-fedora](../base-fedora/README.md)
    - [systemd](../systemd/README.md)
      - [base-machine](../base-machine/README.md)
        - [base](../base/README.md)
        - [dns-local](../dns-local/README.md)
        - [pki-tls](../pki-tls/README.md)
- [postgresql-client](../postgresql-client/README.md)
- [reverse-proxy-client](../reverse-proxy-client/README.md)
- [relay-mail-client](../relay-mail-client/README.md)
- [redis-client](../redis-client/README.md)
- [oauth2-client](../oauth2-client/README.md)

## Variables

### Général (*general*)

#### network (*general.network*)

| Description                                         |   Values |
|-----------------------------------------------------|----------|
| *[**incoming_ports**](dictionaries/31_forgejo.xml)* |     2222 |

#### Redis (*general.redis*)

| Description                                                 | Values   |
|-------------------------------------------------------------|----------|
| *[**redis_client_key_owner**](dictionaries/31_forgejo.xml)* | forgejo  |

#### Forgejo (*general.forgejo*)

Git forge Forgejo

| Description                                                                                                   | Values                                             | Type                                                                                                                   |
|---------------------------------------------------------------------------------------------------------------|----------------------------------------------------|------------------------------------------------------------------------------------------------------------------------|
| **Titre de la forge** (*[forgejo_title](dictionaries/31_forgejo.xml)*)                                        | Forgejo : Au-delà du développement. Nous forgeons. | [string](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) |
| **Les courriels sont envoyés à partir de cet adresse** (*[forgejo_mail_sender](dictionaries/31_forgejo.xml)*) |                                                    | [mail](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)   |

#### revprox (*general.revprox*)

| Description                                                    | Values   |
|----------------------------------------------------------------|----------|
| *[**revprox_client_port**](dictionaries/31_forgejo.xml)*       | 3000     |
| *[**revprox_client_cert_owner**](dictionaries/31_forgejo.xml)* | forgejo  |

##### revprox_client (*general.revprox.revprox_client*)

| Description                                                        | Values   |
|--------------------------------------------------------------------|----------|
| *[**revprox_client_local_location**](dictionaries/31_forgejo.xml)* | /        |

#### oauth2_client (*general.oauth2_client*)

| Description                                                             | Values                 |
|-------------------------------------------------------------------------|------------------------|
| *[**oauth2_is_client_application**](dictionaries/31_forgejo.xml)*       | True                   |
| *[**oauth2_client_name**](dictionaries/31_forgejo.xml)*                 | Forge                  |
| *[**oauth2_client_description**](dictionaries/31_forgejo.xml)*          | Forge logiciel Forgejo |
| *[**oauth2_client_category**](dictionaries/31_forgejo.xml)*             | Développement          |
| *[**oauth2_client_logo**](dictionaries/31_forgejo.xml)*                 | silique_note.png       |
| *[**oauth2_client_token_signature_algo**](dictionaries/31_forgejo.xml)* | RS256                  |

##### external (*general.oauth2_client.external*)

| Description                                             | Values       |
|---------------------------------------------------------|--------------|
| *[oauth2_client_external](dictionaries/31_forgejo.xml)* | <calculated> |

#### postgresql (*general.postgresql*)

| Description                                              | Values   |
|----------------------------------------------------------|----------|
| *[**pg_client_key_owner**](dictionaries/31_forgejo.xml)* | forgejo  |


- [+]: variable is multiple
- **bold**: variable is mandatory

## Used by

- [gitea](../gitea/README.md)
- [forgejo-formation (in external dataset)](https://forge.cloud.silique.fr/gnunux/dataset-formation/src/branch/main/seed/forgejo-formation/README.md)

[All applications services for this dataset.](../README.md)
