---
gitea: none
include_toc: true
---

# nextcloud

## Description

Nextcloud, Online collaboration platform.

[For more informations](https://nextcloud.com/)

## Dependances

- [base-fedora-36](../base-fedora-36/README.md)
  - [base-fedora](../base-fedora/README.md)
    - [systemd](../systemd/README.md)
      - [base-machine](../base-machine/README.md)
        - [base](../base/README.md)
        - [dns-local](../dns-local/README.md)
        - [pki-tls](../pki-tls/README.md)
- [postgresql-client](../postgresql-client/README.md)
- [ldap-client](../ldap-client/README.md)
- [redis-client](../redis-client/README.md)
- [oauth2-client](../oauth2-client/README.md)
- [relay-mail-client](../relay-mail-client/README.md)
- [apache](../apache/README.md)
  - [reverse-proxy-client](../reverse-proxy-client/README.md)
- [php-fpm](../php-fpm/README.md)
  - [php](../php/README.md)

## Variables

### Général (*general*)

#### Nextcloud (*general.nextcloud*)

| Description                                                                                                                     | Type                                                                                                                       |
|---------------------------------------------------------------------------------------------------------------------------------|----------------------------------------------------------------------------------------------------------------------------|
| *[**nextcloud_mail_admin**](dictionaries/31_nextcloud.xml)*                                                                     | [mail](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)       |
| Nom de domaine du serveur hebergeant le répertoire .well-known (*[nextcloud_well_known_server](dictionaries/31_nextcloud.xml)*) | [domainname](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) |

#### oauth2_client (*general.oauth2_client*)

| Description                                                         | Values                                |
|---------------------------------------------------------------------|---------------------------------------|
| *[**oauth2_is_client_application**](dictionaries/31_nextcloud.xml)* | True                                  |
| *[**oauth2_client_name**](dictionaries/31_nextcloud.xml)*           | Collaboration                         |
| *[**oauth2_client_description**](dictionaries/31_nextcloud.xml)*    | Plateforme de collaboration Nextcloud |
| *[**oauth2_client_category**](dictionaries/31_nextcloud.xml)*       | Diffusion                             |
| *[**oauth2_client_logo**](dictionaries/31_nextcloud.xml)*           | silique_folder.png                    |

#### php (*general.php*)

| Description                                                        | Values   |
|--------------------------------------------------------------------|----------|
| *[**php_enable_output_buffering**](dictionaries/31_nextcloud.xml)* | False    |
| *[**php_disable_pcntl**](dictionaries/31_nextcloud.xml)*           | False    |


- [+]: variable is multiple
- **bold**: variable is mandatory

[All applications services for this dataset.](../README.md)
