---
gitea: none
include_toc: true
---

# nsd

## Description

NSD, an authoritative DNS name server.

[For more informations](https://www.nlnetlabs.nl/projects/nsd/about/)

## Dependances

- [base-fedora-37](../base-fedora-37/README.md)
  - [base-fedora](../base-fedora/README.md)
    - [systemd](../systemd/README.md)
      - [base-machine](../base-machine/README.md)
        - [base](../base/README.md)
        - [dns-local](../dns-local/README.md)
        - [pki-tls](../pki-tls/README.md)

## Variables

### Général (*general*)

#### network (*general.network*)

| Description                         | Values       |
|-------------------------------------|--------------|
| *[ip_dns](dictionaries/20_nsd.xml)* | <calculated> |

#### Serveur DNS (*general.dns_server*)

| Description                                                                         | Type                                                                                                                       | Supplier    |
|-------------------------------------------------------------------------------------|----------------------------------------------------------------------------------------------------------------------------|-------------|
| Nom de domaine du résolveur DNS associé (*[nsd_resolver](dictionaries/20_nsd.xml)*) | [domainname](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | ExternalDNS |

#### Zone DNS (*general.dns_zone*)

| Description                                            | Type                                                                                                                       | Values       |
|--------------------------------------------------------|----------------------------------------------------------------------------------------------------------------------------|--------------|
| Zones DNS (*[nsd_zones](dictionaries/20_nsd.xml)*) [+] | [domainname](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | <calculated> |

#### Zone DNS reverse (*general.dns_reverses*)

This a family is a leadership.

| Description                                                                              | Type                                                                                                                         | Values       |
|------------------------------------------------------------------------------------------|------------------------------------------------------------------------------------------------------------------------------|--------------|
| Réseau pour la résolution reverse (*[nsd_reverse_network](dictionaries/20_nsd.xml)*) [+] | [network_cidr](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | <calculated> |

### Machine (*machine*)

| Description                                 |   Values |
|---------------------------------------------|----------|
| *[**var_size**](extras/machine/20_nsd.xml)* |      256 |
| *[**add_tmp**](extras/machine/20_nsd.xml)*  |    False |
| *[**add_srv**](extras/machine/20_nsd.xml)*  |    False |
| *[**add_swap**](extras/machine/20_nsd.xml)* |    False |


- [+]: variable is multiple
- **bold**: variable is mandatory

## Supplier

[dns-local](../dns-local/README.md)

## Provider

[unbound](../unbound/README.md)

[All applications services for this dataset.](../README.md)
