---
gitea: none
include_toc: true
---

# oauth2-client

## Description

Application service needs interact with a Oauth2 server.

## Variables

### Général (*general*)

#### OAuth2 client (*general.oauth2_client*)

| Description                                                                                               | Type                                                                                                                        | Supplier           | Values   | Provider                     |
|-----------------------------------------------------------------------------------------------------------|-----------------------------------------------------------------------------------------------------------------------------|--------------------|----------|------------------------------|
| **OAuth2 server domain name** (*[oauth2_client_server_domainname](dictionaries/30_oauth2_client.xml)*)    | [domainname](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)  | OAuth2             |          |                              |
| **OAuth2 client is an application** (*[oauth2_is_client_application](dictionaries/30_oauth2_client.xml)*) | [boolean](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)     |                    | False    |                              |
| **OAuth2 client name** (*[oauth2_client_name](dictionaries/30_oauth2_client.xml)*)                        | [string](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)      | OAuth2:name        |          |                              |
| **OAuth2 client description** (*[oauth2_client_description](dictionaries/30_oauth2_client.xml)*)          | [string](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)      | OAuth2:description |          |                              |
| OAuth2 URL to valid login (*[oauth2_client_login](dictionaries/30_oauth2_client.xml)*)                    | [web_address](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | OAuth2:login       |          |                              |
| **OAuth2 category** (*[oauth2_client_category](dictionaries/30_oauth2_client.xml)*)                       | [string](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)      | OAuth2:category    | Défaut   |                              |
| **OAuth2 logo** (*[oauth2_client_logo](dictionaries/30_oauth2_client.xml)*)                               | [string](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)      | OAuth2:logo        | demo.png |                              |
| Remote clients (*[oauth2_clients](dictionaries/30_oauth2_client.xml)*) [+]                                | [domainname](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)  |                    |          | OAuth2Client                 |
| **OAuth2 server domain name** (*[oauth2_server_domainname](dictionaries/30_oauth2_client.xml)*)           | [domainname](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)  |                    |          | OAuth2Client:external_domain |

##### external (*general.oauth2_client.external*)

| Description                                                                                    | Type                                                                                                                        | Values       | Supplier        |
|------------------------------------------------------------------------------------------------|-----------------------------------------------------------------------------------------------------------------------------|--------------|-----------------|
| **OAuth2 client external** (*[oauth2_client_external](dictionaries/30_oauth2_client.xml)*) [+] | [web_address](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | <calculated> | OAuth2:external |
| **OAuth2 family** (*[oauth2_client_family](dictionaries/30_oauth2_client.xml)*)                | [string](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)      | users        | OAuth2:family   |


- [+]: variable is multiple
- **bold**: variable is mandatory

## Used by

- [odoo](../odoo/README.md)
- [mailman](../mailman/README.md)
- [peertube](../peertube/README.md)
- [piwigo](../piwigo/README.md)
- [dovecot](../dovecot/README.md)
- [forgejo](../forgejo/README.md)
- [roundcube](../roundcube/README.md)
- [nextcloud](../nextcloud/README.md)

## Supplier

[lemonldap](../lemonldap/README.md)

## Provider

[lemonldap](../lemonldap/README.md)

[All applications services for this dataset.](../README.md)
