---
gitea: none
include_toc: true
---

# openldap

## Description

OpenLDAP, a LDAP server.

[For more informations](https://www.openldap.org/)

## Dependances

- [ldap-client](../ldap-client/README.md)
- [base-fedora-37](../base-fedora-37/README.md)
  - [base-fedora](../base-fedora/README.md)
    - [systemd](../systemd/README.md)
      - [base-machine](../base-machine/README.md)
        - [base](../base/README.md)
        - [dns-local](../dns-local/README.md)
        - [pki-tls](../pki-tls/README.md)

## Variables

### Général (*general*)

#### annuaire (*general.annuaire*)

##### server (*general.annuaire.server*)

| Description                                                                              | Type                                                                                                                     | Values                                                                                                                                               |
|------------------------------------------------------------------------------------------|--------------------------------------------------------------------------------------------------------------------------|------------------------------------------------------------------------------------------------------------------------------------------------------|
| **Schémas LDAP additionnel** (*[ldap_schemas](dictionaries/21_openldap-server.xml)*) [+] | [filename](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | /etc/openldap/schema/cosine.ldif<br />/etc/openldap/schema/inetorgperson.ldif<br />/etc/openldap/schema/nis.ldif<br />/etc/openldap/schema/misc.ldif |

###### Limites (*general.annuaire.server.limits*)

| Description                                                                                                           | Type                                                                                                                   |   Values |
|-----------------------------------------------------------------------------------------------------------------------|------------------------------------------------------------------------------------------------------------------------|----------|
| **Niveau de log** (*[ldap_loglevel](dictionaries/21_openldap-server.xml)*)                                            | [number](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) |        0 |
| **Nombre maximum d'entrées à retourner lors d'une requête** (*[ldap_sizelimit](dictionaries/21_openldap-server.xml)*) | [number](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) |     5000 |
| **Temps de réponse maximum à une requête (en secondes)** (*[ldap_timelimit](dictionaries/21_openldap-server.xml)*)    | [number](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) |     3600 |

###### DB environment (*general.annuaire.server.db_environment*)

| Description                                                                                                                          | Type                                                                                                                     | Values            |
|--------------------------------------------------------------------------------------------------------------------------------------|--------------------------------------------------------------------------------------------------------------------------|-------------------|
| **Quantité de Giga-octets à utiliser pour le cache HDB** (*[db_cache_size_g](dictionaries/21_openldap-server.xml)*)                  | [number](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)   | 0                 |
| **Quantité d'octets à utiliser pour le cache HDB** (*[db_cache_size_o](dictionaries/21_openldap-server.xml)*)                        | [number](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)   | 268435456         |
| **Nombre de fichiers ou écrire le cache HDB** (*[db_cache_chunks](dictionaries/21_openldap-server.xml)*)                             | [number](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)   | 1                 |
| **Quantité de fichier de cache mis en cache mémoire** (*[db_log_region_max](dictionaries/21_openldap-server.xml)*)                   | [number](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)   | 262144            |
| **Quantité d'informations de journalisation conservé jusqu'à rotation** (*[db_log_max](dictionaries/21_openldap-server.xml)*)        | [number](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)   | 10485760          |
| **Quantité d'informations de journalisation du cache reporté sur le disque** (*[db_log_bsize](dictionaries/21_openldap-server.xml)*) | [number](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)   | 2097152           |
| **Répertoire de conservation des informations de journalisation** (*[db_log_directory](dictionaries/21_openldap-server.xml)*)        | [filename](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | /srv/openldap/log |
| **Nombre d'objet qui peuvent être verrouillés simultanément ** (*[db_lk_max_objects](dictionaries/21_openldap-server.xml)*)          | [number](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)   | 5000              |
| **Nombre de verrous maximal** (*[db_lk_max](dictionaries/21_openldap-server.xml)*)                                                   | [number](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)   | 5000              |
| **Nombre de verroulleur maximal** (*[db_lk_max_lockers](dictionaries/21_openldap-server.xml)*)                                       | [number](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)   | 5000              |

##### client (*general.annuaire.client*)

| Description                                                                                           | Values       |
|-------------------------------------------------------------------------------------------------------|--------------|
| *[ldapclient_user](dictionaries/21_openldap-server.xml)*                                              | <calculated> |
| **Base DN** (*[ldapclient_base_dn](dictionaries/21_openldap-server.xml)*)                             |              |
| **Base DN de l'annuaire des utilisateurs** (*[ldap_account_dn](dictionaries/21_openldap-server.xml)*) | <calculated> |
| *[ldapclient_search_dn](dictionaries/21_openldap-server.xml)*                                         | <calculated> |

### Machine (*machine*)

| Description                                      |   Values |
|--------------------------------------------------|----------|
| *[**var_size**](extras/machine/20_openldap.xml)* |      256 |
| *[**add_tmp**](extras/machine/20_openldap.xml)*  |    False |
| *[**add_swap**](extras/machine/20_openldap.xml)* |    False |

### Accounts (*accounts*)

| Description                                                                        | Type                                                                                                                       | Provider   |
|------------------------------------------------------------------------------------|----------------------------------------------------------------------------------------------------------------------------|------------|
| Serveurs distant ayant un compte (*[remotes](extras/accounts/00_account.xml)*) [+] | [domainname](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | LDAP       |
| Familles (*[families](extras/accounts/00_account.xml)*) [+]                        | [unix_user](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)  |            |

#### Gestion des utilisateurs (*accounts.users*)

This a family is a leadership.

| Description                                                                         | Type                                                                                                                      |
|-------------------------------------------------------------------------------------|---------------------------------------------------------------------------------------------------------------------------|
| Adresse courriel du compte (*[ldap_user_mail](extras/accounts/00_account.xml)*) [+] | [mail](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)      |
| Aliases du mail (*[ldap_user_aliases](extras/accounts/00_account.xml)*) [+]         | [mail](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)      |
| **Nom de compte** (*[ldap_user_uid](extras/accounts/00_account.xml)*)               | [unix_user](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) |
| **Prénom** (*[ldap_user_sn](extras/accounts/00_account.xml)*)                       | [string](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)    |
| **Nom de famille** (*[ldap_user_gn](extras/accounts/00_account.xml)*)               | [string](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)    |

#### Gestion de la famille  (*accounts.family_*)

This a dynamic family generated from the variable "accounts.families".

##### Gestion des utilisateurs de la famille  (*accounts.family_.users_*)

This a family is a leadership.

| Description                                                                                         | Type                                                                                                                      |
|-----------------------------------------------------------------------------------------------------|---------------------------------------------------------------------------------------------------------------------------|
| Adresse courriel du compte de la famille  (*[ldap_user_mail_](extras/accounts/00_account.xml)*) [+] | [mail](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)      |
| Aliases du mail de la famille  (*[ldap_user_aliases_](extras/accounts/00_account.xml)*) [+]         | [mail](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)      |
| **Nom de compte de la famille ** (*[ldap_user_uid_](extras/accounts/00_account.xml)*)               | [unix_user](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) |
| **Prénom de la famille ** (*[ldap_user_sn_](extras/accounts/00_account.xml)*)                       | [string](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)    |
| **Nom de famille de la famille ** (*[ldap_user_gn_](extras/accounts/00_account.xml)*)               | [string](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)    |


- [+]: variable is multiple
- **bold**: variable is mandatory

## Supplier

[ldap-client](../ldap-client/README.md)

[All applications services for this dataset.](../README.md)
