---
gitea: none
include_toc: true
---

# peertube

## Description

Peertube, a federated (ActivityPub) video streaming platform.

[For more informations](https://www.openldap.org/)

## Dependances

- [base-fedora-36](../base-fedora-36/README.md)
  - [base-fedora](../base-fedora/README.md)
    - [systemd](../systemd/README.md)
      - [base-machine](../base-machine/README.md)
        - [base](../base/README.md)
        - [dns-local](../dns-local/README.md)
        - [pki-tls](../pki-tls/README.md)
- [dns-external](../dns-external/README.md)
- [postgresql-client](../postgresql-client/README.md)
- [relay-mail-client](../relay-mail-client/README.md)
- [reverse-proxy-client](../reverse-proxy-client/README.md)
- [redis-client](../redis-client/README.md)
- [nginx-https](../nginx-https/README.md)
  - [nginx-common](../nginx-common/README.md)
  - [reverse-proxy-client](../reverse-proxy-client/README.md)
- [oauth2-client](../oauth2-client/README.md)

## Variables

### Général (*general*)

#### network (*general.network*)

| Description                                          |   Values |
|------------------------------------------------------|----------|
| *[**outgoing_ports**](dictionaries/30_peertube.xml)* |      443 |

#### peertube (*general.peertube*)

| Description                                                                                                | Type                                                                                                                   | Values                                                                                              |
|------------------------------------------------------------------------------------------------------------|------------------------------------------------------------------------------------------------------------------------|-----------------------------------------------------------------------------------------------------|
| **Adresse courriel de l'administrateur Peertube** (*[peertube_admin_email](dictionaries/30_peertube.xml)*) | [mail](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)   |                                                                                                     |
| **Description courte de l'instance** (*[peertube_short_description](dictionaries/30_peertube.xml)*)        | [string](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | PeerTube, an ActivityPub-federated video streaming platform using P2P directly in your web browser. |
| **Description de l'instance** (*[peertube_description](dictionaries/30_peertube.xml)*)                     | [string](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | Welcome to this PeerTube instance!                                                                  |

#### oauth2_client (*general.oauth2_client*)

| Description                                                        | Values                                  |
|--------------------------------------------------------------------|-----------------------------------------|
| *[**oauth2_is_client_application**](dictionaries/30_peertube.xml)* | True                                    |
| *[**oauth2_client_name**](dictionaries/30_peertube.xml)*           | Vidéo                                   |
| *[**oauth2_client_description**](dictionaries/30_peertube.xml)*    | Plateforme de partage de vidéo Peertube |
| *[**oauth2_client_category**](dictionaries/30_peertube.xml)*       | Réseaux sociaux                         |
| *[**oauth2_client_logo**](dictionaries/30_peertube.xml)*           | silique_video.png                       |

##### external (*general.oauth2_client.external*)

| Description                                              | Values       |
|----------------------------------------------------------|--------------|
| *[oauth2_client_external](dictionaries/30_peertube.xml)* | <calculated> |

#### nginx (*general.nginx*)

| Description                                      | Values              |
|--------------------------------------------------|---------------------|
| *[**nginx_root**](dictionaries/30_peertube.xml)* | /usr/share/peertube |

#### revprox (*general.revprox*)

##### revprox_client (*general.revprox.revprox_client*)

| Description                                                        | Values   |
|--------------------------------------------------------------------|----------|
| *[**revprox_client_location**](dictionaries/30_peertube.xml)*      | /        |
| *[**revprox_client_max_body_size**](dictionaries/30_peertube.xml)* | 12G      |


- [+]: variable is multiple
- **bold**: variable is mandatory

[All applications services for this dataset.](../README.md)
