---
gitea: none
include_toc: true
---

# php

## Description

PHP, a popular general-purpose scripting language.

[For more informations](https://secure.php.net/)

## Variables

### Général (*general*)

#### PHP (*general.php*)

Paramètrage avancé de PHP

| Description                                                                                                     | Help                                                                                                                                                | Type                                                                                                                    | Values       |
|-----------------------------------------------------------------------------------------------------------------|-----------------------------------------------------------------------------------------------------------------------------------------------------|-------------------------------------------------------------------------------------------------------------------------|--------------|
| **Taille maximale des données reçues par la méthode POST** (*[php_post_max_size](dictionaries/20_php.xml)*)     | Valeur en Mo                                                                                                                                        | [number](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)  | 32           |
| **Taille maximale d'un fichier à charger** (*[php_upload_max_filesize](dictionaries/20_php.xml)*)               | Valeur en Mo                                                                                                                                        | [number](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)  | 16           |
| **Temps maximal d'exécution d'un script** (*[php_max_execution_time](dictionaries/20_php.xml)*)                 | Valeur en secondes                                                                                                                                  | [number](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)  | 30           |
| **Durée maximale pour analyser les données d'entrée** (*[php_max_input_time](dictionaries/20_php.xml)*)         | Valeur en secondes                                                                                                                                  | [number](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)  | 60           |
| **Taille mémoire maximale qu'un script est autorisé à allouer** (*[php_memory_limit](dictionaries/20_php.xml)*) | Valeur en Mo                                                                                                                                        | [number](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)  | 512          |
| **Affichage des erreurs à l'écran** (*[php_display_errors](dictionaries/20_php.xml)*)                           |                                                                                                                                                     | [boolean](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | False        |
| **Durée de vie des données sur le serveur** (*[php_session_gc_maxlifetime](dictionaries/20_php.xml)*)           | Valeur en secondes                                                                                                                                  | [number](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)  | 3600         |
| **Activer la directive de configuration browscap** (*[php_browscap](dictionaries/20_php.xml)*)                  | La directive de configuration browscap permet d'obtenir plus d'information sur les capacités du navigateur client grâce à la fonction get_browser() | [boolean](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | False        |
| **Fuseau horaire** (*[time_zone](dictionaries/20_php.xml)*)                                                     |                                                                                                                                                     | [string](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)  | Europe/Paris |
| **Activer les tampons de sortie** (*[php_enable_output_buffering](dictionaries/20_php.xml)*)                    |                                                                                                                                                     | [boolean](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | True         |
| **Désactiver PCNTL** (*[php_disable_pcntl](dictionaries/20_php.xml)*)                                           |                                                                                                                                                     | [boolean](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | True         |


- [+]: variable is multiple
- **bold**: variable is mandatory

## Used by

[php-fpm](../php-fpm/README.md)

[All applications services for this dataset.](../README.md)
