---
gitea: none
include_toc: true
---

# piwigo

## Description

Piwigo, a photo management software.

[For more informations](http://piwigo.org/)

## Dependances

- [base-fedora-36](../base-fedora-36/README.md)
  - [base-fedora](../base-fedora/README.md)
    - [systemd](../systemd/README.md)
      - [base-machine](../base-machine/README.md)
        - [base](../base/README.md)
        - [dns-local](../dns-local/README.md)
        - [pki-tls](../pki-tls/README.md)
- [mariadb-client](../mariadb-client/README.md)
- [ldap-client](../ldap-client/README.md)
- [redis-client](../redis-client/README.md)
- [oauth2-client](../oauth2-client/README.md)
- [relay-mail-client](../relay-mail-client/README.md)
- [nginx-https](../nginx-https/README.md)
  - [nginx-common](../nginx-common/README.md)
  - [reverse-proxy-client](../reverse-proxy-client/README.md)
- [php-fpm](../php-fpm/README.md)
  - [php](../php/README.md)

## Variables

### Général (*general*)

| Description                                                                                          | Type                                                                                                                   | Values               |
|------------------------------------------------------------------------------------------------------|------------------------------------------------------------------------------------------------------------------------|----------------------|
| **Adresse courriel de l'administrateur Piwigo** (*[piwigo_admin_email](dictionaries/31_piwigo.xml)*) | [mail](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)   |                      |
| **Titre de l'album** (*[piwigo_title](dictionaries/31_piwigo.xml)*)                                  | [string](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | Album photographique |

#### Piwigo users (*general.users*)

This a family is a leadership.

| Description                                                                       | Type                                                                                                                      |
|-----------------------------------------------------------------------------------|---------------------------------------------------------------------------------------------------------------------------|
| **Utilisateur ayant un album** (*[piwigo_users](dictionaries/31_piwigo.xml)*) [+] | [unix_user](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) |
| **Adresse courriel** (*[piwigo_email](dictionaries/31_piwigo.xml)*)               | [mail](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)      |

#### oauth2_client (*general.oauth2_client*)

| Description                                                      | Values                      |
|------------------------------------------------------------------|-----------------------------|
| *[**oauth2_is_client_application**](dictionaries/31_piwigo.xml)* | True                        |
| *[**oauth2_client_name**](dictionaries/31_piwigo.xml)*           | Album                       |
| *[**oauth2_client_description**](dictionaries/31_piwigo.xml)*    | Album photographique Piwigo |
| *[**oauth2_client_category**](dictionaries/31_piwigo.xml)*       | Diffusion                   |
| *[**oauth2_client_logo**](dictionaries/31_piwigo.xml)*           | silique_image.png           |


- [+]: variable is multiple
- **bold**: variable is mandatory

[All applications services for this dataset.](../README.md)
