---
gitea: none
include_toc: true
---

# postgresql

## Description

Postgresql, a database.

[For more informations](https://www.postgresql.org)

## Dependances

- [base-fedora-37](../base-fedora-37/README.md)
  - [base-fedora](../base-fedora/README.md)
    - [systemd](../systemd/README.md)
      - [base-machine](../base-machine/README.md)
        - [base](../base/README.md)
        - [dns-local](../dns-local/README.md)
        - [pki-tls](../pki-tls/README.md)

## Variables

### Général (*general*)

#### PostgreSQL (*general.postgresql*)

Paramétrage du serveur de gestion de bases de données PostgreSQL

| Description                                                                                                                 | Help                                                                                                                                | Type                                                                                                                     | Values                             | Choices            |
|-----------------------------------------------------------------------------------------------------------------------------|-------------------------------------------------------------------------------------------------------------------------------------|--------------------------------------------------------------------------------------------------------------------------|------------------------------------|--------------------|
| **Nombre maximum de connexions** (*[pg_max_connections](dictionaries/22_postgresql.xml)*)                                   | Nombre maximum de connexions concurrentes au serveur de base de données                                                             | [number](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)   | 100                                |                    |
| **Délai de connexion maximum (en secondes)** (*[pg_authentication_timeout](dictionaries/22_postgresql.xml)*)                | Temps maximum pour terminer l'authentification du client                                                                            | [number](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)   | 60                                 |                    |
| **Emplacement de la clé SSL du serveur PostgreSQL** (*[pg_server_key](dictionaries/22_postgresql.xml)*)                     |                                                                                                                                     | [filename](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | /etc/postgresql/12/main/server.key |                    |
| **Emplacement du certificat du serveur PostgreSQL** (*[pg_server_cert](dictionaries/22_postgresql.xml)*)                    |                                                                                                                                     | [filename](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | /etc/postgresql/12/main/server.crt |                    |
| **Activer le VACUUM automatique** (*[pg_autovacuum](dictionaries/22_postgresql.xml)*)                                       |                                                                                                                                     | [boolean](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)  | True                               |                    |
| **Mémoire tampon allouée aux opérations de tri et tables de hash** (*[pg_work_mem](dictionaries/22_postgresql.xml)*)        | Quantité de mémoire allouée à chaque opération avant écriture sur le disque (par défaut : 4MB)                                      | [number](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)   | 4                                  |                    |
| **Unité de la mémoire tampon** (*[pg_work_mem_unit](dictionaries/22_postgresql.xml)*)                                       |                                                                                                                                     | [choice](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)   | MB                                 | MB<br />kB         |
| **Mémoire tampon allouée pour les opérations de maintenance** (*[pg_maintenance_work_mem](dictionaries/22_postgresql.xml)*) | Quantité de mémoire allouée à chaque opération avant écriture sur le disque (par défaut : 64MB, minimum: 1024kB)                    | [number](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)   | 64                                 |                    |
| **Unité de la mémoire tampon** (*[pg_maintenance_work_mem_unit](dictionaries/22_postgresql.xml)*)                           |                                                                                                                                     | [choice](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)   | MB                                 | MB<br />kB         |
| **Mémoire tampon allouée pour les journaux** (*[pg_wal_buffers](dictionaries/22_postgresql.xml)*)                           | Quantité de mémoire allouée avant écriture sur le disque (par défaut : -1, soit 1/32ème de la valeur de shared_buffers)             | [number](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)   | -1                                 |                    |
| **Limite douce du Write Ahead Log** (*[pg_max_wal_size](dictionaries/22_postgresql.xml)*)                                   | Limite douce pour le Write Ahead Log                                                                                                | [number](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)   | 1                                  |                    |
| **Unité de la limite douce du Write Ahead Log** (*[pg_max_wal_size_unit](dictionaries/22_postgresql.xml)*)                  |                                                                                                                                     | [choice](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)   | GB                                 | GB<br />MB<br />kB |
| **Quantité de mémoire pour les buffers partagés** (*[pg_shared_buffers](dictionaries/22_postgresql.xml)*)                   | Quantité de mémoire que le serveur de bases de données utilise comme mémoire partagée                                               | [number](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)   | 128                                |                    |
| **Unité de la quantité de mémoire pour les buffers partagés** (*[pg_shared_buffers_unit](dictionaries/22_postgresql.xml)*)  |                                                                                                                                     | [choice](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)   | MB                                 | MB<br />kB         |
| **Taille du cache** (*[pg_effective_cache_size](dictionaries/22_postgresql.xml)*)                                           | Initialise l'estimation faite par le planificateur pour le nombre de bloc de 8ko réelle du cache disque disponible pour une requête | [number](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)   | 4                                  |                    |
| **Unité de la taille du cache** (*[pg_effective_cache_size_unit](dictionaries/22_postgresql.xml)*)                          |                                                                                                                                     | [choice](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)   | GB                                 | MB<br />kB<br />GB |

### Accounts (*accounts*)

| Description                                                                          | Type                                                                                                                       | Provider   |
|--------------------------------------------------------------------------------------|----------------------------------------------------------------------------------------------------------------------------|------------|
| Remote clients needing an account (*[remotes](extras/accounts/00_accounts.xml)*) [+] | [domainname](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | Postgresql |

#### Account for  (*accounts.remote_*)

This a dynamic family generated from the variable "accounts.remotes".

| Description                                                      | Type                                                                                                               | Values       |
|------------------------------------------------------------------|--------------------------------------------------------------------------------------------------------------------|--------------|
| **Remote IP ** (*[remote_ip_](extras/accounts/00_accounts.xml)*) | [ip](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | <calculated> |


- [+]: variable is multiple
- **bold**: variable is mandatory

## Supplier

[postgresql-client](../postgresql-client/README.md)

[All applications services for this dataset.](../README.md)
