---
gitea: none
include_toc: true
---

# roundcube

## Description

Roundcube, a webmail.

[For more informations](https://roundcube.net/)

## Dependances

- [base-fedora-36](../base-fedora-36/README.md)
  - [base-fedora](../base-fedora/README.md)
    - [systemd](../systemd/README.md)
      - [base-machine](../base-machine/README.md)
        - [base](../base/README.md)
        - [dns-local](../dns-local/README.md)
        - [pki-tls](../pki-tls/README.md)
- [postgresql-client](../postgresql-client/README.md)
- [imap-client](../imap-client/README.md)
- [redis-client](../redis-client/README.md)
- [oauth2-client](../oauth2-client/README.md)
- [nginx-https](../nginx-https/README.md)
  - [nginx-common](../nginx-common/README.md)
  - [reverse-proxy-client](../reverse-proxy-client/README.md)
- [php-fpm](../php-fpm/README.md)
  - [php](../php/README.md)
- [ldap-client](../ldap-client/README.md)

## Variables

### Général (*general*)

#### Interface web de consultation des courriels Roundcube (*general.roundcube*)

##### roundcube_domain (*general.roundcube.roundcube_domain*)

This a family is a leadership.

| Description                                                                                        | Type                                                                                                                       |
|----------------------------------------------------------------------------------------------------|----------------------------------------------------------------------------------------------------------------------------|
| **Nom de domaines d'accès à Roundcube** (*[roundcube_domains](dictionaries/31_roundcube.xml)*) [+] | [domainname](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) |
| **Nom de domaines des courriels** (*[roundcube_mail_domain](dictionaries/31_roundcube.xml)*)       | [domainname](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) |
| Nom de la famille (*[roundcube_family](dictionaries/31_roundcube.xml)*)                            | [unix_user](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)  |

#### oauth2_client (*general.oauth2_client*)

| Description                                                         | Values                                 |
|---------------------------------------------------------------------|----------------------------------------|
| *[**oauth2_is_client_application**](dictionaries/31_roundcube.xml)* | True                                   |
| *[**oauth2_client_name**](dictionaries/31_roundcube.xml)*           | Courriel                               |
| *[**oauth2_client_description**](dictionaries/31_roundcube.xml)*    | Consulter ces courriels avec Roundcube |
| *[**oauth2_client_category**](dictionaries/31_roundcube.xml)*       | Diffusion                              |
| *[**oauth2_client_logo**](dictionaries/31_roundcube.xml)*           | silique_email.png                      |

##### external (*general.oauth2_client.external*)

| Description                                                   | Values       |
|---------------------------------------------------------------|--------------|
| *[oauth2_client_external](dictionaries/31_roundcube.xml)* [+] |              |
| *[oauth2_client_family](dictionaries/31_roundcube.xml)* [+]   | <calculated> |

#### nginx (*general.nginx*)

| Description                                       | Values                    |
|---------------------------------------------------|---------------------------|
| *[**nginx_root**](dictionaries/31_roundcube.xml)* | /usr/share/roundcubemail/ |

#### revprox (*general.revprox*)

##### revprox_client (*general.revprox.revprox_client*)

| Description                                                          | Values   |
|----------------------------------------------------------------------|----------|
| *[**revprox_client_local_location**](dictionaries/31_roundcube.xml)* | /        |

#### imap (*general.imap*)

| Description                                            | Values   |
|--------------------------------------------------------|----------|
| *[**imap_cert_owner**](dictionaries/31_roundcube.xml)* | nginx    |

### Machine (*machine*)

| Description                                       |   Values |
|---------------------------------------------------|----------|
| *[**var_size**](extras/machine/20_roundcube.xml)* |      256 |
| *[**add_tmp**](extras/machine/20_roundcube.xml)*  |    False |
| *[**add_srv**](extras/machine/20_roundcube.xml)*  |    False |
| *[**add_swap**](extras/machine/20_roundcube.xml)* |    False |


- [+]: variable is multiple
- **bold**: variable is mandatory

[All applications services for this dataset.](../README.md)
