---
gitea: none
include_toc: true
---

# vaultwarden

## Description

Vaultwarden, a password manager.

[For more informations](https://github.com/dani-garcia/vaultwarden)

## Dependances

- [base-fedora-36](../base-fedora-36/README.md)
  - [base-fedora](../base-fedora/README.md)
    - [systemd](../systemd/README.md)
      - [base-machine](../base-machine/README.md)
        - [base](../base/README.md)
        - [dns-local](../dns-local/README.md)
        - [pki-tls](../pki-tls/README.md)
- [postgresql-client](../postgresql-client/README.md)
- [relay-mail-client](../relay-mail-client/README.md)
- [reverse-proxy-client](../reverse-proxy-client/README.md)

## Variables

### Général (*general*)

#### revprox (*general.revprox*)

| Description                                                        | Values      |
|--------------------------------------------------------------------|-------------|
| *[**revprox_client_cert_owner**](dictionaries/40_vaultwarden.xml)* | vaultwarden |

#### Vaultwarden (*general.vaultwarden*)

| Description                                                                                                           | Type                                                                                                                       | Values      |
|-----------------------------------------------------------------------------------------------------------------------|----------------------------------------------------------------------------------------------------------------------------|-------------|
| **Nom de domaine d'accès à Vaultwarden** (*[vaultwarden_domainname](dictionaries/40_vaultwarden.xml)*)                | [domainname](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) |             |
| **Nom de l'utilisateur Risotto de Vaultwarden** (*[password_admin_username](dictionaries/40_vaultwarden.xml)*)        | [string](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)     | risotto     |
| **Adresse courriel de l'utilisateur Risotto** (*[vaultwarden_admin_email](dictionaries/40_vaultwarden.xml)*)          | [mail](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)       |             |
| **Taille par défaut du mot de passe** (*[vaultwarden_length](dictionaries/40_vaultwarden.xml)*)                       | [number](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)     | 20          |
| **Nom de l'organisation lors de l'envoi des invitations** (*[vaultwarden_org_name](dictionaries/40_vaultwarden.xml)*) | [string](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)     | Vaultwarden |

#### PostgreSQL (*general.postgresql*)

| Description                                                  | Values      |
|--------------------------------------------------------------|-------------|
| *[**pg_client_key_owner**](dictionaries/40_vaultwarden.xml)* | vaultwarden |


- [+]: variable is multiple
- **bold**: variable is mandatory

[All applications services for this dataset.](../README.md)
